- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# dchroot::main_base Class Reference

Frontend base class for dchroot. More...

`#include <dchroot-main-base.h>`

Inheritance diagram for dchroot::main_base:

[legend]
Collaboration diagram for dchroot::main_base:

[legend]
List of all members.

## Public Member Functions
| main_base (std::string const &program_name, std::string const &program_usage, schroot::options_base::ptr &options)
| The constructor.
virtual | ~main_base ()
| The destructor.
## Protected Member Functions
void | check_dchroot_conf ()
| Check dchroot.conf exists.
virtual void | compat_check ()
| Check compatibility.
virtual void | action_config ()
| Dump configuration file for chroots.
virtual void | action_list ()
| List chroots.
## Protected Attributes
bool | use_dchroot_conf
| Use dchroot.conf as the configuration file.

## Detailed Description

Frontend base class for dchroot.

This class contains frontend functionality common to dchroot and dchroot-dsa.

## Constructor & Destructor Documentation

main_base::main_base | ( | std::string const & | program_name,
|  | std::string const & | program_usage,
|  | schroot::options_base::ptr & | options |
| ) |  |  |

The constructor.

Parameters:

  | program_name | the program name.
  | program_usage | the program usage message.
  | options | the command-line options to use.

Reimplemented from schroot::main_base.

main_base::~main_base | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from schroot::main_base.

## Member Function Documentation

void main_base::action_config | ( |  | ) | `[protected, virtual]`

Dump configuration file for chroots.

Implements schroot::main_base.

void main_base::action_list | ( |  | ) | `[protected, virtual]`

List chroots.

Implements schroot::main_base.

void main_base::check_dchroot_conf | ( |  | ) | `[protected]`

Check dchroot.conf exists.

If it exists, and using verbose messages, print a warning about upgrading to schroot.conf.

void main_base::compat_check | ( |  | ) | `[protected, virtual]`

Check compatibility.

Does nothing, but derived classes may use it as they see fit.

Reimplemented from schroot::main_base.

## Member Data Documentation

bool dchroot::main_base::use_dchroot_conf`[protected]`

Use dchroot.conf as the configuration file.

The documentation for this class was generated from the following files:

- dchroot/dchroot-main-base.h
- dchroot/dchroot-main-base.cc